{% extends "base.html" %} {% load static %} {% block stylesheet %}
<link href="{% static 'css/footable.bootstrap.min.css' %}" rel="stylesheet"> {% endblock stylesheet %} {% block title %}
<h1>Postulación</h1>
<ol class="breadcrumb">
	<li>
		<a style="cursor: default; color: white;">Dashboard</a>
	</li>
	<li>
		<a style="cursor: default; color: white;">Proyectos</a>
	</li>
	<li class="active">Postulación</li>
</ol>
{% endblock title %} {% block content %}


<div class="card-body">
	<ul class="nav nav-pills nav-pills-primary" role="tablist">
		<li class="active">
			<a href="#pillnav1" role="tab" data-toggle="tab">
				<i class="zmdi zmdi-home"></i> Pendientes
			</a>
		</li>
		<li>
			<a href="#pillnav2" role="tab" data-toggle="tab">
				<i class="zmdi zmdi-calendar-note"></i> Aprobadas
			</a>
		</li>
		<li>
			<a href="#pillnav3" role="tab" data-toggle="tab">
				<i class="zmdi zmdi-view-list-alt"></i> Rechazadas
			</a>
		</li>
	</ul>
	<div id="pillContent1" class="tab-content m-t-15">
		{% if request.session.type == "DC" or request.session.type == "SA" %}
		<div class="tab-pane fade active in" id="pillnav1">
			<div class="row">
				<div class="col-xs-12 col-sm-12 col-md-12">
					<div class="card card-data-tables product-table-wrapper">
						<header class="card-heading card-blue text-center">
							<h2 class="card-title">Postulaciones de Estudiantes</h2>
							<div class="card-search">
								<div id="productsTable_wrapper" class="form-group label-floating is-empty">
									<i class="zmdi zmdi-search search-icon-left"></i>
									<input type="text" class="form-control filter-input" placeholder="Filter Products..." autocomplete="off">
									<a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
										<i class="zmdi zmdi-close"></i>
									</a>
								</div>
							</div>
							<ul class="card-actions icons right-top">
								<li id="deleteItems" style="display: none;">
									<span class="label label-info pull-left m-t-5 m-r-10 text-white"></span>
									<a href="javascript:void(0)" id="confirmDelete" data-toggle="tooltip" data-placement="top" data-original-title="Delete Product(s)">
										<i class="zmdi zmdi-delete"></i>
									</a>
								</li>
								<li>
									<a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filter Products">
										<i class="zmdi zmdi-search"></i>
									</a>
								</li>
							</ul>
						</header>
						<div class="card-body p-0">
							<div class="table-responsive">
								<table id="pendientes" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
									<thead>
										<tr>
											<th class="col-sm-3">Nombre del proyecto</th>
											<th class="col-sm-2">Postulante</th>
											<th class="col-sm-3">Fecha</th>
											<th data-orderable="false" class="col-sm-2">
												Acciones
											</th>
										</tr>
									</thead>
									<tbody>
										{% for postulation in postulations%}{% if postulation.status == "PE" %}
										<tr>
											<td>{{postulation.project.name}}</td>
											<td>{{postulation.student.name}}</td>
											<td>{{postulation.creation_date}}</td>
											<td>
												<div class="row">
													<div class="col-md-6 col-sm-6">
														<button class="btn aprobar btn-default btn-fab btn-fab-sm" data-type="ES" data-pk="{{postulation.pk}}">
															<i class="zmdi zmdi-check"></i>
														</button>
													</div>
													<div class="col-md-6 col-sm-6">
														<button class="btn rechazar btn-default btn-fab btn-fab-sm" data-toggle="modal" data-target="#feedback_modal" data-pk="{{postulation.pk}}" data-type="ES">
															<i class="zmdi zmdi-delete"></i>
														</button>

													</div>
												</div>
											</td>
										</tr>
										{% endif %} {% endfor %}
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
				<div class="col-xs-12 col-sm-12 col-md-12">
					<div class="card card-data-tables product-table-wrapper">
						<header class="card-heading card-blue text-center">
							<h2 class="card-title">Postulaciones de Docentes</h2>
							<div class="card-search">
								<div id="productsTable_wrapper" class="form-group label-floating is-empty">
									<i class="zmdi zmdi-search search-icon-left"></i>
									<input type="text" class="form-control filter-input" placeholder="Filter Products..." autocomplete="off">
									<a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
										<i class="zmdi zmdi-close"></i>
									</a>
								</div>
							</div>
							<ul class="card-actions icons right-top">
								<li id="deleteItems" style="display: none;">
									<span class="label label-info pull-left m-t-5 m-r-10 text-white"></span>
									<a href="javascript:void(0)" id="confirmDelete" data-toggle="tooltip" data-placement="top" data-original-title="Delete Product(s)">
										<i class="zmdi zmdi-delete"></i>
									</a>
								</li>
								<li>
									<a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filter Products">
										<i class="zmdi zmdi-search"></i>
									</a>
								</li>
							</ul>
						</header>
						<div class="card-body p-0">
							<div class="table-responsive">
								<table id="pendientes2" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
									<thead>
										<tr>
											<th class="col-sm-3">Nombre del proyecto</th>
											<th class="col-sm-2">Postulante</th>
											<th class="col-sm-3">Fecha</th>
											<th data-orderable="false" class="col-sm-2">
												Acciones
											</th>
										</tr>
									</thead>
									<tbody>
										{% for postulation in teacher_postulations%}{% if postulation.status == "PE" %}
										<tr>
											<td>{{postulation.project.name}}</td>
											<td>{{postulation.teacher.name}}</td>
											<td>{{postulation.creation_date}}</td>
											<td>
												<div class="row">
													<div class="col-md-3 col-sm-3">
														<button class="btn aprobar btn-default btn-fab btn-fab-sm" data-type="DO" data-pk="{{postulation.pk}}">
															<i class="zmdi zmdi-check"></i>
														</button>
													</div>
													<div class="col-md-3 col-sm-3">
														<button class="btn rechazar btn-default btn-fab btn-fab-sm" data-toggle="modal" data-target="#feedback_modal" data-pk="{{postulation.pk}}" data-type="DO">
															<i class="zmdi zmdi-delete"></i>
														</button>

													</div>
												</div>
											</td>
										</tr>
										{% else %} {% endif %} {% endfor %}
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="tab-pane fade" id="pillnav2">
			<div class="row">
				<div class="col-xs-12 col-sm-12 col-md-12">
					<div class="card card-data-tables product-table-wrapper">
						<header class="card-heading card-blue text-center">
							<h2 class="card-title">Postulaciones Aprobadas de Alumnos</h2>
							<div class="card-search">
								<div id="productsTable_wrapper" class="form-group label-floating is-empty">
									<i class="zmdi zmdi-search search-icon-left"></i>
									<input type="text" class="form-control filter-input" placeholder="Filter Products..." autocomplete="off">
									<a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
										<i class="zmdi zmdi-close"></i>
									</a>
								</div>
							</div>
							<ul class="card-actions icons right-top">
								<li id="deleteItems" style="display: none;">
									<span class="label label-info pull-left m-t-5 m-r-10 text-white"></span>
									<a href="javascript:void(0)" id="confirmDelete" data-toggle="tooltip" data-placement="top" data-original-title="Delete Product(s)">
										<i class="zmdi zmdi-delete"></i>
									</a>
								</li>
								<li>
									<a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filter Products">
										<i class="zmdi zmdi-search"></i>
									</a>
								</li>
							</ul>
						</header>
						<div class="card-body p-0">
							<div class="table-responsive">
								<table id="aprobadas" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
									<thead>
										<tr>
											<th class="col-sm-3">Nombre del proyecto</th>
											<th class="col-sm-2">Postulante</th>
											<th class="col-sm-3">Fecha</th>
											<th class="col-sm-3">Estado</th>
										</tr>
									</thead>
									<tbody>
										{% for postulation in postulations%} {% if postulation.status == "AP" %}
										<tr>
											<td>{{postulation.project.name}}</td>
											<td>{{postulation.student.name}}</td>
											<td>{{postulation.last_mod}}</td>
											<td>
												<span class="label label-success">Aceptado</span>
											</td>
										</tr>
										{% endif %} {% endfor %}
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
				<div class="col-xs-12 col-sm-12 col-md-12">
					<div class="card card-data-tables product-table-wrapper">
						<header class="card-heading card-blue text-center">
							<h2 class="card-title">Postulaciones Aprobadas de Docentes</h2>
							<div class="card-search">
								<div id="productsTable_wrapper" class="form-group label-floating is-empty">
									<i class="zmdi zmdi-search search-icon-left"></i>
									<input type="text" class="form-control filter-input" placeholder="Filter Products..." autocomplete="off">
									<a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
										<i class="zmdi zmdi-close"></i>
									</a>
								</div>
							</div>
							<ul class="card-actions icons right-top">
								<li id="deleteItems" style="display: none;">
									<span class="label label-info pull-left m-t-5 m-r-10 text-white"></span>
									<a href="javascript:void(0)" id="confirmDelete" data-toggle="tooltip" data-placement="top" data-original-title="Delete Product(s)">
										<i class="zmdi zmdi-delete"></i>
									</a>
								</li>
								<li>
									<a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filter Products">
										<i class="zmdi zmdi-search"></i>
									</a>
								</li>
							</ul>
						</header>
						<div class="card-body p-0">
							<div class="table-responsive">
								<table id="aprobadas2" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
									<thead>
										<tr>
											<th class="col-sm-3">Nombre del proyecto</th>
											<th class="col-sm-2">Postulante</th>
											<th class="col-sm-3">Fecha</th>
											<th class="col-sm-3">Estado</th>
										</tr>
									</thead>
									<tbody>
										{% for postulation in teacher_postulations%} {% if postulation.status == "AP" %}
										<tr>
											<td>{{postulation.project.name}}</td>
											<td>{{postulation.teacher.name}}</td>
											<td>{{postulation.last_mod}}</td>
											<td>
												<span class="label label-success">Aceptado</span>
											</td>
										</tr>
										{% endif %} {% endfor %}
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="tab-pane fade" id="pillnav3">
			<div class="row">
				<div class="col-xs-12 col-sm-12 col-md-12">
					<div class="card card-data-tables product-table-wrapper">
						<header class="card-heading card-blue text-center">
							<h2 class="card-title">Postulaciones Rechazadas de Alumnos</h2>
							<div class="card-search">
								<div id="productsTable_wrapper" class="form-group label-floating is-empty">
									<i class="zmdi zmdi-search search-icon-left"></i>
									<input type="text" class="form-control filter-input" placeholder="Filter Products..." autocomplete="off">
									<a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
										<i class="zmdi zmdi-close"></i>
									</a>
								</div>
							</div>
							<ul class="card-actions icons right-top">
								<li id="deleteItems" style="display: none;">
									<span class="label label-info pull-left m-t-5 m-r-10 text-white"></span>
									<a href="javascript:void(0)" id="confirmDelete" data-toggle="tooltip" data-placement="top" data-original-title="Delete Product(s)">
										<i class="zmdi zmdi-delete"></i>
									</a>
								</li>
								<li>
									<a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filter Products">
										<i class="zmdi zmdi-search"></i>
									</a>
								</li>
							</ul>
						</header>
						<div class="card-body p-0">
							<div class="table-responsive">
								<table id="rechazados" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
									<thead>
										<tr>
											<th class="col-sm-3">Nombre del proyecto</th>
											<th class="col-sm-2">Postulante</th>
											<th class="col-sm-3">Última modificación</th>
											<th class="col-sm-3">Estado</th>
										</tr>
									</thead>
									<tbody>
										{% for postulation in postulations%} {% if postulation.status == "RE" %}
										<tr>
											<td>{{postulation.project.name}}</td>
											<td>{{postulation.student.name}}</td>
											<td>{{postulation.last_mod}}</td>
											<td>
												<span class="label label-danger">Rechazado</span>
											</td>
										</tr>
										{% endif %} {% endfor %}
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
				<div class="col-xs-12 col-sm-12 col-md-12">
					<div class="card card-data-tables product-table-wrapper">
						<header class="card-heading card-blue text-center">
							<h2 class="card-title">Postulaciones Rechazadas de Docentes</h2>
							<div class="card-search">
								<div id="productsTable_wrapper" class="form-group label-floating is-empty">
									<i class="zmdi zmdi-search search-icon-left"></i>
									<input type="text" class="form-control filter-input" placeholder="Filter Products..." autocomplete="off">
									<a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
										<i class="zmdi zmdi-close"></i>
									</a>
								</div>
							</div>
							<ul class="card-actions icons right-top">
								<li id="deleteItems" style="display: none;">
									<span class="label label-info pull-left m-t-5 m-r-10 text-white"></span>
									<a href="javascript:void(0)" id="confirmDelete" data-toggle="tooltip" data-placement="top" data-original-title="Delete Product(s)">
										<i class="zmdi zmdi-delete"></i>
									</a>
								</li>
								<li>
									<a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filter Products">
										<i class="zmdi zmdi-search"></i>
									</a>
								</li>
							</ul>
						</header>
						<div class="card-body p-0">
							<div class="table-responsive">
								<table id="rechazados2" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
									<thead>
										<tr>
											<th class="col-sm-3">Nombre del proyecto</th>
											<th class="col-sm-2">Postulante</th>
											<th class="col-sm-3">Última modificación</th>
											<th class="col-sm-3">Estado</th>
										</tr>
									</thead>
									<tbody>
										{% for postulation in teacher_postulations%} {% if postulation.status == "RE" %}
										<tr>
											<td>{{postulation.project.name}}</td>
											<td>{{postulation.teacher.name}}</td>
											<td>{{postulation.last_mod}}</td>
											<td>
												<span class="label label-danger">Rechazado</span>
											</td>
										</tr>
										{% endif %} {% endfor %}
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		{% else %}
		<div class="tab-pane fade active in" id="pillnav1">
			<div class="row">
				<div class="col-xs-6 col-sm-6 col-md-6">
					<div class="card card-data-tables product-table-wrapper">
						<header class="card-heading card-blue text-center">
							<h2 class="card-title">Postulaciones por validar</h2>
							<div class="card-search">
								<div id="productsTable_wrapper" class="form-group label-floating is-empty">
									<i class="zmdi zmdi-search search-icon-left"></i>
									<input type="text" class="form-control filter-input" placeholder="Filter Products..." autocomplete="off">
									<a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
										<i class="zmdi zmdi-close"></i>
									</a>
								</div>
							</div>
							<ul class="card-actions icons right-top">
								<li id="deleteItems" style="display: none;">
									<span class="label label-info pull-left m-t-5 m-r-10 text-white"></span>
									<a href="javascript:void(0)" id="confirmDelete" data-toggle="tooltip" data-placement="top" data-original-title="Delete Product(s)">
										<i class="zmdi zmdi-delete"></i>
									</a>
								</li>
								<li>
									<a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filter Products">
										<i class="zmdi zmdi-search"></i>
									</a>
								</li>
							</ul>
						</header>
						<div class="card-body p-0">
							<div class="table-responsive">
								<table id="pendientes" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
									<thead>
										<tr>
											<th class="col-sm-3">Nombre del proyecto</th>
											<th class="col-sm-2">Postulante</th>
											<th class="col-sm-3">Fecha</th>
											<th data-orderable="false" class="col-sm-2">
												Acciones
											</th>
										</tr>
									</thead>
									<tbody>
										{% for postulation in postulations %}{% if postulation.status == "PE" %}
										<tr>
											<td>{{postulation.project.name}}</td>
											<td>{{postulation.student.name}}</td>
											<td>{{postulation.creation_date}}</td>
											<td>
												<div class="row">
													<div class="col-md-3 col-sm-3">
														<button class="btn aprobar btn-default btn-fab btn-fab-sm" 
														data-type="ES" data-pk="{{postulation.pk}}">
															<i class="zmdi zmdi-check"></i>
														</button>
													</div>
													<div class="col-md-3 col-sm-3">
														<button class="btn rechazar btn-default btn-fab btn-fab-sm" data-toggle="modal" data-target="#feedback_modal" data-pk="{{postulation.pk}}">
															<i class="zmdi zmdi-delete"></i>
														</button>

													</div>
												</div>
											</td>
										</tr>
										{% endif %} {% endfor %}
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
				<div class="col-xs-6 col-sm-6 col-md-6">
					<div class="card card-data-tables product-table-wrapper">
						<header class="card-heading card-blue text-center">
							<h2 class="card-title">Asignaciones Pendientes</h2>
							<div class="card-search">
								<div id="productsTable_wrapper" class="form-group label-floating is-empty">
									<i class="zmdi zmdi-search search-icon-left"></i>
									<input type="text" class="form-control filter-input" placeholder="Buscar Asignaciones..." autocomplete="off">
									<a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
										<i class="zmdi zmdi-close"></i>
									</a>
								</div>
							</div>
							<ul class="card-actions icons right-top">
								<li id="deleteItems" style="display: none;">
									<span class="label label-info pull-left m-t-5 m-r-10 text-white"></span>
									<a href="javascript:void(0)" id="confirmDelete" data-toggle="tooltip" data-placement="top" data-original-title="Delete Product(s)">
										<i class="zmdi zmdi-delete"></i>
									</a>
								</li>
								<li>
									<a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filter Products">
										<i class="zmdi zmdi-search"></i>
									</a>
								</li>
							</ul>
						</header>
						<div class="card-body p-0">
							<div class="table-responsive">
								<table id="pendientes" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
									<thead>
										<tr>
											<th class="col-sm-4">Nombre del proyecto</th>
											<th class="col-sm-4">Asignante</th>
											<th data-orderable="false" class="col-sm-4">
												Acciones
											</th>
										</tr>
									</thead>
									<tbody>
										{% for postulation in teacher_postulations %}{% if postulation.status == "AS" %}
										<tr>
											<td>{{postulation.project.name}}</td>
											<td>{{postulation.author.name}}</td>
											<td>
												<div class="row">
													<div class="col-md-3 col-sm-3">
														<button class="btn aprobar btn-default btn-fab btn-fab-sm" 
														data-type="AS" data-pk="{{postulation.pk}}">
															<i class="zmdi zmdi-check"></i>
														</button>
													</div>
													<div class="col-md-3 col-sm-3">
														<button class="btn rechazar btn-default btn-fab btn-fab-sm" data-toggle="modal" data-target="#feedback_modal" data-pk="{{postulation.pk}}">
															<i class="zmdi zmdi-delete"></i>
														</button>

													</div>
												</div>
											</td>
										</tr>
										{% endif %} {% endfor %}
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="tab-pane fade" id="pillnav2">
			<div class="row">
				<div class="col-xs-6 col-sm-6 col-md-6">
					<div class="card card-data-tables product-table-wrapper">
						<header class="card-heading card-blue text-center">
							<h2 class="card-title">Postulaciones Aprobadas</h2>
							<div class="card-search">
								<div id="productsTable_wrapper" class="form-group label-floating is-empty">
									<i class="zmdi zmdi-search search-icon-left"></i>
									<input type="text" class="form-control filter-input" placeholder="Filter Products..." autocomplete="off">
									<a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
										<i class="zmdi zmdi-close"></i>
									</a>
								</div>
							</div>
							<ul class="card-actions icons right-top">
								<li id="deleteItems" style="display: none;">
									<span class="label label-info pull-left m-t-5 m-r-10 text-white"></span>
									<a href="javascript:void(0)" id="confirmDelete" data-toggle="tooltip" data-placement="top" data-original-title="Delete Product(s)">
										<i class="zmdi zmdi-delete"></i>
									</a>
								</li>
								<li>
									<a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filter Products">
										<i class="zmdi zmdi-search"></i>
									</a>
								</li>
							</ul>
						</header>
						<div class="card-body p-0">
							<div class="table-responsive">
								<table id="aprobadas" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
									<thead>
										<tr>
											<th class="col-sm-3">Nombre del proyecto</th>
											<th class="col-sm-2">Postulante</th>
											<th class="col-sm-3">Fecha</th>
											<th class="col-sm-3">Estado</th>
										</tr>
									</thead>
									<tbody>
										{% for postulation in postulations%} {% if postulation.status == "AP" %}
										<tr>
											<td>{{postulation.project.name}}</td>
											<td>{{postulation.student.name}}</td>
											<td>{{postulation.last_mod}}</td>
											<td>
												<span class="label label-success">Aceptado</span>
											</td>
										</tr>
										{% endif %} {% endfor %}
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
				<div class="col-xs-6 col-sm-6 col-md-6">
					<div class="card card-data-tables product-table-wrapper">
						<header class="card-heading card-blue text-center">
							<h2 class="card-title">Asignaciones Aprobadas</h2>
							<div class="card-search">
								<div id="productsTable_wrapper" class="form-group label-floating is-empty">
									<i class="zmdi zmdi-search search-icon-left"></i>
									<input type="text" class="form-control filter-input" placeholder="Buscar Asignaciones..." autocomplete="off">
									<a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
										<i class="zmdi zmdi-close"></i>
									</a>
								</div>
							</div>
							<ul class="card-actions icons right-top">
								<li id="deleteItems" style="display: none;">
									<span class="label label-info pull-left m-t-5 m-r-10 text-white"></span>
									<a href="javascript:void(0)" id="confirmDelete" data-toggle="tooltip" data-placement="top" data-original-title="Delete Product(s)">
										<i class="zmdi zmdi-delete"></i>
									</a>
								</li>
								<li>
									<a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filter Products">
										<i class="zmdi zmdi-search"></i>
									</a>
								</li>
							</ul>
						</header>
						<div class="card-body p-0">
							<div class="table-responsive">
								<table id="aprobadas" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
									<thead>
										<tr>
											<th class="col-sm-4">Nombre del proyecto</th>
											<th class="col-sm-4">Asignante</th>
											<th class="col-sm-4">
												Última modificación
											</th>
										</tr>
									</thead>
									<tbody>
										{% for postulation in teacher_postulations%} {% if postulation.status == "AP" %}
										<tr>
											<td>{{postulation.project.name}}</td>
											<td>{{postulation.author.name}}</td>
											<td>
												{{postulation.last_mod}}
											</td>
										</tr>
										{% endif %} {% endfor %}
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="tab-pane fade" id="pillnav3">
			<div class="row">
				<div class="col-xs-6 col-sm-6 col-md-6">
					<div class="card card-data-tables product-table-wrapper">
						<header class="card-heading card-blue text-center">
							<h2 class="card-title">Postulaciones reprobadas</h2>
							<div class="card-search">
								<div id="productsTable_wrapper" class="form-group label-floating is-empty">
									<i class="zmdi zmdi-search search-icon-left"></i>
									<input type="text" class="form-control filter-input" placeholder="Filter Products..." autocomplete="off">
									<a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
										<i class="zmdi zmdi-close"></i>
									</a>
								</div>
							</div>
							<ul class="card-actions icons right-top">
								<li id="deleteItems" style="display: none;">
									<span class="label label-info pull-left m-t-5 m-r-10 text-white"></span>
									<a href="javascript:void(0)" id="confirmDelete" data-toggle="tooltip" data-placement="top" data-original-title="Delete Product(s)">
										<i class="zmdi zmdi-delete"></i>
									</a>
								</li>
								<li>
									<a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filter Products">
										<i class="zmdi zmdi-search"></i>
									</a>
								</li>
							</ul>
						</header>
						<div class="card-body p-0">
							<div class="table-responsive">
								<table id="rechazados" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
									<thead>
										<tr>
											<th class="col-sm-4">Nombre del proyecto</th>
											<th class="col-sm-4">Postulante</th>
											<th class="col-sm-4">Última modificación</th>
										</tr>
									</thead>
									<tbody>
										{% for postulation in postulations%} {% if postulation.status == "RE" %}
										<tr>
											<td>{{postulation.project.name}}</td>
											<td>{{postulation.student.name}}</td>
											<td>{{postulation.last_mod}}</td>
										</tr>
										{% endif %} {% endfor %}
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
				<div class="col-xs-6 col-sm-6 col-md-6">
					<div class="card card-data-tables product-table-wrapper">
						<header class="card-heading card-blue text-center">
							<h2 class="card-title">Asignaciones Reprobadas</h2>
							<div class="card-search">
								<div id="productsTable_wrapper" class="form-group label-floating is-empty">
									<i class="zmdi zmdi-search search-icon-left"></i>
									<input type="text" class="form-control filter-input" placeholder="Buscar Asignaciones..." autocomplete="off">
									<a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
										<i class="zmdi zmdi-close"></i>
									</a>
								</div>
							</div>
							<ul class="card-actions icons right-top">
								<li id="deleteItems" style="display: none;">
									<span class="label label-info pull-left m-t-5 m-r-10 text-white"></span>
									<a href="javascript:void(0)" id="confirmDelete" data-toggle="tooltip" data-placement="top" data-original-title="Delete Product(s)">
										<i class="zmdi zmdi-delete"></i>
									</a>
								</li>
								<li>
									<a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filter Products">
										<i class="zmdi zmdi-search"></i>
									</a>
								</li>
							</ul>
						</header>
						<div class="card-body p-0">
							<div class="table-responsive">
								<table id="rechazados" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
									<thead>
										<tr>
											<th class="col-sm-4">Nombre del proyecto</th>
											<th class="col-sm-4">Asignante</th>
											<th class="col-sm-4">
												Última modificación
											</th>
										</tr>
									</thead>
									<tbody>
										{% for postulation in teacher_postulations %} {% if postulation.status == "RE" %}
										<tr>
											<td>{{postulation.project.name}}</td>
											<td>{{postulation.author.name}}</td>
											<td>
												{{postulation.last_mod}}
											</td>
										</tr>
										{% endif %} {% endfor %}
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		{% endif %}

	</div>
</div>
<div class="modal fade" id="feedback_modal" tabindex="-1" role="dialog" aria-labelledby="feedback_modal">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">

				<h4 class="modal-title" id="myModalLabel-2">Retroalimentación</h4>
			</div>
			<div class="modal-body">
				<form action="">
					<div class="row">
						<div class="col-md-12 col-sm-12">
							<div class="form-group">
								<h2>¿Por que rechazó esta postulación?</h2>
								<hr>
								<label for="descripcion" class="control-label">Descripción:</label>
								<textarea id="descripcion" class="form-control" rows="6" id="textArea"></textarea>
							</div>
						</div>
					</div>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cancel</button>
				<button type="button" id="confirm" class="btn btn-primary">Confirmar</button>
			</div>
		</div>
		<!-- modal-content -->
	</div>
	<!-- modal-dialog -->
</div>

{% endblock content %} {% block javascript %}
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script>
	$(document).on("click", ".aprobar", function () {
		var button = $(this);
		var pk = button.data("pk");
		var type = button.data("type");

		if (type == "ES" ){
			data = {
				pk: pk,
				csrfmiddlewaretoken: '{{ csrf_token }}'
			}
			$.ajax({
				type: "post",
				url: "{% url 'approve_postulation' %}",
				data: data,
				success: function (response) {
					swal("Exito!", "Propuesta Aprobada!", "success")
						.then((value) => {
							window.location.reload();
						});
				},
				error: function () {
					swal("Error!","Hubo un problema al procesar tu accion!","danger");
				},
			})
		} else {
			data = {
				pk: pk,
				type: type,
				csrfmiddlewaretoken: '{{ csrf_token }}'
			}
			$.ajax({
				type: "post",
				url: "{% url 'approve_teacher_postulation' %}",
				data: data,
				success: function (response) {
					swal("Exito!", "Propuesta Aprobada!", "success")
						.then((value) => {
							window.location.reload();
						});
				},
				error: function () {
					//SWEETALERT
				},
			})
		}
		
	});

	$('#feedback_modal').on('show.bs.modal', function (event) {
		console.log("MODAL!");
		var button = $(event.relatedTarget);
		var postpk = button.data('pk');
		var type = button.data('type');
		console.log(postpk);
		console.log(type);
		$("#confirm").data("pk", postpk);
		$("#confirm").data("type",type);
	});

	$(document).on("click", "#confirm", function () {
		var button = $(this);
		var pk = button.data("pk");
		var type = button.data("type");
		var description = $("#descripcion").val();
		if (type == "ES") {
			data = {
				pk: pk,
				description: description,
				csrfmiddlewaretoken: '{{ csrf_token }}'
			}
	
			$.ajax({
				type: "post",
				url: "{% url 'reject_postulation' %}",
				data: data,
				success: function (response) {
					swal("Exito!", "Propuesta Rechazada!", "success")
						.then((value) => {
							window.location.reload();
						});
				},
				error: function () {
					//SWEETALERT
				},
			})
		}else{
			data = {
				pk: pk,
				description: description,
				csrfmiddlewaretoken: '{{ csrf_token }}'
			}
	
			$.ajax({
				type: "post",
				url: "{% url 'reject_teacher_postulation' %}",
				data: data,
				success: function (response) {
					swal("Exito!", "Propuesta Rechazada!", "success")
						.then((value) => {
							window.location.reload();
						});
				},
				error: function () {
					//SWEETALERT
				},
			})
		}
	});

	$(document).ready(function () {
		$("#pendientes").DataTable({
			"aaSorting": [[2, 'asc']],
			destroy: true,
			searching: false
		});
		$("#aprobadas").DataTable({
			"aaSorting": [[2, 'asc']],
			destroy: true,
			searching: false
		});
		$("#rechazados").DataTable({
			"aaSorting": [[2, 'asc']],
			destroy: true,
			searching: false
		});
		$("#pendientes2").DataTable({
			"aaSorting": [[2, 'asc']],
			destroy: true,
			searching: false
		});
		$("#aprobadas2").DataTable({
			"aaSorting": [[2, 'asc']],
			destroy: true,
			searching: false
		});
		$("#rechazados2").DataTable({
			"aaSorting": [[2, 'asc']],
			destroy: true,
			searching: false
		});
		$("#myInput").on("keyup", function () {
			var value = $(this).val().toLowerCase();
			$("#my tr").filter(function () {
				$(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
			});
		});
	});
</script> {% endblock javascript %}